Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# Particles Class Reference

Inherits pandac::PandaModules::ParticleSystem.

List of all members.

## Public Member Functions
def | __init__
def | accelerate
def | addForce
def | cleanup
def | disable
def | enable
def | getEmitter
def | getFactory
def | getName
| Getters ##.
def | getNode
def | getPoolSizeRanges
def | getRenderer
def | isEnabled
def | printParams
def | removeForce
def | setEmitter
def | setFactory
def | setRenderer
def | setRenderNodePath
## Public Attributes
| emitter
| emitterType
| factory
| factoryType
| fEnabled
| geomReference
| name
| node
| nodePath
| renderer
| rendererType
## Static Public Attributes
int | id = 1
tuple | notify = directNotify.newCategory('Particles')

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | name = `None`,
|  |  | poolSize = `1024`
| ) |  |

## Member Function Documentation

def accelerate | ( |  | self,
|  |  | time,
|  |  | stepCount = `1`,
|  |  | stepTime = `0.0`
| ) |  |

def addForce | ( |  | self,
|  |  | force
| ) |  |

def cleanup | ( |  | self | ) |

def disable | ( |  | self | ) |

def enable | ( |  | self | ) |

def getEmitter | ( |  | self | ) |

def getFactory | ( |  | self | ) |

def getName | ( |  | self | ) |

Getters ##.

def getNode | ( |  | self | ) |

def getPoolSizeRanges | ( |  | self | ) |

def getRenderer | ( |  | self | ) |

def isEnabled | ( |  | self | ) |

def printParams | ( |  | self,
|  |  | file = `sys.stdout`,
|  |  | targ = `'self'`
| ) |  |

def removeForce | ( |  | self,
|  |  | force
| ) |  |

def setEmitter | ( |  | self,
|  |  | type
| ) |  |

def setFactory | ( |  | self,
|  |  | type
| ) |  |

def setRenderer | ( |  | self,
|  |  | type
| ) |  |

def setRenderNodePath | ( |  | self,
|  |  | nodePath
| ) |  |

## Member Data Documentation

emitter

emitterType

factory

factoryType

fEnabled

geomReference

int id = 1`[static]`

name

node

nodePath

tuple notify = directNotify.newCategory('Particles')`[static]`

renderer

rendererType

All Classes Namespaces Functions Variables Enumerations Enumerator Properties